mia-2dseries-sectionmask
Prev | Tools for Myocardial Perfusion Analysis | Next

### mia-2dseries-sectionmask

#### Sysnopis:

`mia-2dseries-sectionmask` {-i `string`} {-o `io`} [ `options` ...]

#### Description:

Evaluate the masks for the sections of a segmented frame.

#### Options:

-i, --in-file=(input, required); string

  input segmentation set

-o, --out-file=(output, required); io

  output image containing the mask. For supported file types see Plugin type: 2dimage/io

-f, --frame=0; ulong

  Frame number for which to extract the mask

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the mask image from the segmentation of image 20 in segment.set and store it to mask20.png:

    mia-2dseries-sectionmask -i segment.set -f 20 -o mask20.png

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dseries-mincorr | Home | mia-2dseries-segdistance